Loading...
Searching...
No Matches
result.h File Reference
SPA » Utilities » Result handling

`spa/utils/result.h` More...

Go to the source code of this file.

## Macros

#define | SPA_ASYNC_BIT (1 << 30)
#define | SPA_ASYNC_SEQ_MASK (SPA_ASYNC_BIT - 1)
#define | SPA_ASYNC_MASK (~SPA_ASYNC_SEQ_MASK)
#define | SPA_RESULT_IS_OK(res) ((res) >= 0)
#define | SPA_RESULT_IS_ERROR(res) ((res) < 0)
#define | SPA_RESULT_IS_ASYNC(res) (((res) & SPA_ASYNC_MASK) == SPA_ASYNC_BIT)
#define | SPA_RESULT_ASYNC_SEQ(res) ((res) & SPA_ASYNC_SEQ_MASK)
#define | SPA_RESULT_RETURN_ASYNC(seq) (SPA_ASYNC_BIT | SPA_RESULT_ASYNC_SEQ(seq))
#define | spa_strerror(err)

## Detailed Description

`spa/utils/result.h`